### Method

# Shell Global get_persistent_state

#### Declaration [src]

    GVariant*
    shell_global_get_persistent_state (
      ShellGlobal* global,
      const char* property_type,
      const char* property_name
    )

#### Description [src]

The shell maintains “persistent” state which will persist after logout or reboot.

#### Parameters

`property_type`

  Type: `const char*`

  Expected data type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`property_name`

  Type: `const char*`

  Name of the property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GVariant`

The value of a serialized property, or `NULL` if none stored.

The data is owned by the instance.